// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: accelfin-server-demo-fx-dtos.proto

package com.accelfin.server.demo.fx.dtos;

public interface GetHistoricalPricesRequestDtoOrBuilder extends
    // @@protoc_insertion_point(interface_extends:com.accelfin.server.demo.fx.dtos.GetHistoricalPricesRequestDto)
    com.google.protobuf.MessageOrBuilder {

  /**
   * <code>repeated string symbols = 1;</code>
   */
  com.google.protobuf.ProtocolStringList
      getSymbolsList();
  /**
   * <code>repeated string symbols = 1;</code>
   */
  int getSymbolsCount();
  /**
   * <code>repeated string symbols = 1;</code>
   */
  java.lang.String getSymbols(int index);
  /**
   * <code>repeated string symbols = 1;</code>
   */
  com.google.protobuf.ByteString
      getSymbolsBytes(int index);

  /**
   * <code>optional .com.accelfin.server.messaging.dtos.TimestampDto start = 2;</code>
   */
  boolean hasStart();
  /**
   * <code>optional .com.accelfin.server.messaging.dtos.TimestampDto start = 2;</code>
   */
  com.accelfin.server.messaging.dtos.TimestampDto getStart();
  /**
   * <code>optional .com.accelfin.server.messaging.dtos.TimestampDto start = 2;</code>
   */
  com.accelfin.server.messaging.dtos.TimestampDtoOrBuilder getStartOrBuilder();

  /**
   * <code>optional .com.accelfin.server.messaging.dtos.TimestampDto end = 3;</code>
   */
  boolean hasEnd();
  /**
   * <code>optional .com.accelfin.server.messaging.dtos.TimestampDto end = 3;</code>
   */
  com.accelfin.server.messaging.dtos.TimestampDto getEnd();
  /**
   * <code>optional .com.accelfin.server.messaging.dtos.TimestampDto end = 3;</code>
   */
  com.accelfin.server.messaging.dtos.TimestampDtoOrBuilder getEndOrBuilder();

  /**
   * <code>optional .com.accelfin.server.demo.fx.dtos.InterpolationSettingsDto interpolation_settings = 4;</code>
   */
  boolean hasInterpolationSettings();
  /**
   * <code>optional .com.accelfin.server.demo.fx.dtos.InterpolationSettingsDto interpolation_settings = 4;</code>
   */
  com.accelfin.server.demo.fx.dtos.InterpolationSettingsDto getInterpolationSettings();
  /**
   * <code>optional .com.accelfin.server.demo.fx.dtos.InterpolationSettingsDto interpolation_settings = 4;</code>
   */
  com.accelfin.server.demo.fx.dtos.InterpolationSettingsDtoOrBuilder getInterpolationSettingsOrBuilder();
}
